complexType "ReturnSwapPaymentDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentDatesInterim?, paymentDateFinal?
</...>

Content Model Elements (2):

  paymentDateFinal, paymentDatesInterim

All Direct / Indirect Based Elements (1):

  paymentDates (in rateOfReturn)

Known Usage Locations

- As direct type of elements (1):
  paymentDates (in rateOfReturn)

Annotation
A type describing the return payment dates of the swap.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ReturnSwapPaymentDates"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDatesInterim" type="AdjustableOrRelativeDates"/> <xsd:element minOccurs="0" name="paymentDateFinal" type="AdjustableOrRelativeDate"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
paymentDateFinal

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the final payment date of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically refer to the final valuation date and add a lag corresponding to the settlement cycle of the underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDateFinal" type="AdjustableOrRelativeDate"/>

paymentDatesInterim

  Type: | AdjustableOrRelativeDates, complex content

  Specifies the interim payment dates of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDates component), this element will typically refer to the valuation dates and add a lag corresponding to the settlement cycle of the underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDatesInterim" type="AdjustableOrRelativeDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.